Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network203.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
203.0.0.0
Broadcast address
203.255.255.255
First usable
203.0.0.1
Last usable
203.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
C (default /24)
As numbers
Hex CB000000 · Integer 3405774848 to 3422552063
Reverse DNS zone
203.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11001011..00000000.00000000.00000000203.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network11001011..00000000.00000000.00000000203.0.0.0
Broadcast11001011..11111111.11111111.11111111203.255.255.255
Split into smaller subnets/18

203.0.0.0/8 makes 1,024 subnets of /18; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1203.0.0.0/18203.0.0.1 to 203.0.63.254203.0.63.25516,382
2203.0.64.0/18203.0.64.1 to 203.0.127.254203.0.127.25516,382
3203.0.128.0/18203.0.128.1 to 203.0.191.254203.0.191.25516,382
4203.0.192.0/18203.0.192.1 to 203.0.255.254203.0.255.25516,382
5203.1.0.0/18203.1.0.1 to 203.1.63.254203.1.63.25516,382
6203.1.64.0/18203.1.64.1 to 203.1.127.254203.1.127.25516,382
7203.1.128.0/18203.1.128.1 to 203.1.191.254203.1.191.25516,382
8203.1.192.0/18203.1.192.1 to 203.1.255.254203.1.255.25516,382
9203.2.0.0/18203.2.0.1 to 203.2.63.254203.2.63.25516,382
10203.2.64.0/18203.2.64.1 to 203.2.127.254203.2.127.25516,382
11203.2.128.0/18203.2.128.1 to 203.2.191.254203.2.191.25516,382
12203.2.192.0/18203.2.192.1 to 203.2.255.254203.2.255.25516,382
13203.3.0.0/18203.3.0.1 to 203.3.63.254203.3.63.25516,382
14203.3.64.0/18203.3.64.1 to 203.3.127.254203.3.127.25516,382
15203.3.128.0/18203.3.128.1 to 203.3.191.254203.3.191.25516,382
16203.3.192.0/18203.3.192.1 to 203.3.255.254203.3.255.25516,382
17203.4.0.0/18203.4.0.1 to 203.4.63.254203.4.63.25516,382
18203.4.64.0/18203.4.64.1 to 203.4.127.254203.4.127.25516,382
19203.4.128.0/18203.4.128.1 to 203.4.191.254203.4.191.25516,382
20203.4.192.0/18203.4.192.1 to 203.4.255.254203.4.255.25516,382
21203.5.0.0/18203.5.0.1 to 203.5.63.254203.5.63.25516,382
22203.5.64.0/18203.5.64.1 to 203.5.127.254203.5.127.25516,382
23203.5.128.0/18203.5.128.1 to 203.5.191.254203.5.191.25516,382
24203.5.192.0/18203.5.192.1 to 203.5.255.254203.5.255.25516,382
25203.6.0.0/18203.6.0.1 to 203.6.63.254203.6.63.25516,382
26203.6.64.0/18203.6.64.1 to 203.6.127.254203.6.127.25516,382
27203.6.128.0/18203.6.128.1 to 203.6.191.254203.6.191.25516,382
28203.6.192.0/18203.6.192.1 to 203.6.255.254203.6.255.25516,382
29203.7.0.0/18203.7.0.1 to 203.7.63.254203.7.63.25516,382
30203.7.64.0/18203.7.64.1 to 203.7.127.254203.7.127.25516,382
31203.7.128.0/18203.7.128.1 to 203.7.191.254203.7.191.25516,382
32203.7.192.0/18203.7.192.1 to 203.7.255.254203.7.255.25516,382
33203.8.0.0/18203.8.0.1 to 203.8.63.254203.8.63.25516,382
34203.8.64.0/18203.8.64.1 to 203.8.127.254203.8.127.25516,382
35203.8.128.0/18203.8.128.1 to 203.8.191.254203.8.191.25516,382
36203.8.192.0/18203.8.192.1 to 203.8.255.254203.8.255.25516,382
37203.9.0.0/18203.9.0.1 to 203.9.63.254203.9.63.25516,382
38203.9.64.0/18203.9.64.1 to 203.9.127.254203.9.127.25516,382
39203.9.128.0/18203.9.128.1 to 203.9.191.254203.9.191.25516,382
40203.9.192.0/18203.9.192.1 to 203.9.255.254203.9.255.25516,382
41203.10.0.0/18203.10.0.1 to 203.10.63.254203.10.63.25516,382
42203.10.64.0/18203.10.64.1 to 203.10.127.254203.10.127.25516,382
43203.10.128.0/18203.10.128.1 to 203.10.191.254203.10.191.25516,382
44203.10.192.0/18203.10.192.1 to 203.10.255.254203.10.255.25516,382
45203.11.0.0/18203.11.0.1 to 203.11.63.254203.11.63.25516,382
46203.11.64.0/18203.11.64.1 to 203.11.127.254203.11.127.25516,382
47203.11.128.0/18203.11.128.1 to 203.11.191.254203.11.191.25516,382
48203.11.192.0/18203.11.192.1 to 203.11.255.254203.11.255.25516,382
49203.12.0.0/18203.12.0.1 to 203.12.63.254203.12.63.25516,382
50203.12.64.0/18203.12.64.1 to 203.12.127.254203.12.127.25516,382
51203.12.128.0/18203.12.128.1 to 203.12.191.254203.12.191.25516,382
52203.12.192.0/18203.12.192.1 to 203.12.255.254203.12.255.25516,382
53203.13.0.0/18203.13.0.1 to 203.13.63.254203.13.63.25516,382
54203.13.64.0/18203.13.64.1 to 203.13.127.254203.13.127.25516,382
55203.13.128.0/18203.13.128.1 to 203.13.191.254203.13.191.25516,382
56203.13.192.0/18203.13.192.1 to 203.13.255.254203.13.255.25516,382
57203.14.0.0/18203.14.0.1 to 203.14.63.254203.14.63.25516,382
58203.14.64.0/18203.14.64.1 to 203.14.127.254203.14.127.25516,382
59203.14.128.0/18203.14.128.1 to 203.14.191.254203.14.191.25516,382
60203.14.192.0/18203.14.192.1 to 203.14.255.254203.14.255.25516,382
61203.15.0.0/18203.15.0.1 to 203.15.63.254203.15.63.25516,382
62203.15.64.0/18203.15.64.1 to 203.15.127.254203.15.127.25516,382
63203.15.128.0/18203.15.128.1 to 203.15.191.254203.15.191.25516,382
64203.15.192.0/18203.15.192.1 to 203.15.255.254203.15.255.25516,382
65203.16.0.0/18203.16.0.1 to 203.16.63.254203.16.63.25516,382
66203.16.64.0/18203.16.64.1 to 203.16.127.254203.16.127.25516,382
67203.16.128.0/18203.16.128.1 to 203.16.191.254203.16.191.25516,382
68203.16.192.0/18203.16.192.1 to 203.16.255.254203.16.255.25516,382
69203.17.0.0/18203.17.0.1 to 203.17.63.254203.17.63.25516,382
70203.17.64.0/18203.17.64.1 to 203.17.127.254203.17.127.25516,382
71203.17.128.0/18203.17.128.1 to 203.17.191.254203.17.191.25516,382
72203.17.192.0/18203.17.192.1 to 203.17.255.254203.17.255.25516,382
73203.18.0.0/18203.18.0.1 to 203.18.63.254203.18.63.25516,382
74203.18.64.0/18203.18.64.1 to 203.18.127.254203.18.127.25516,382
75203.18.128.0/18203.18.128.1 to 203.18.191.254203.18.191.25516,382
76203.18.192.0/18203.18.192.1 to 203.18.255.254203.18.255.25516,382
77203.19.0.0/18203.19.0.1 to 203.19.63.254203.19.63.25516,382
78203.19.64.0/18203.19.64.1 to 203.19.127.254203.19.127.25516,382
79203.19.128.0/18203.19.128.1 to 203.19.191.254203.19.191.25516,382
80203.19.192.0/18203.19.192.1 to 203.19.255.254203.19.255.25516,382
81203.20.0.0/18203.20.0.1 to 203.20.63.254203.20.63.25516,382
82203.20.64.0/18203.20.64.1 to 203.20.127.254203.20.127.25516,382
83203.20.128.0/18203.20.128.1 to 203.20.191.254203.20.191.25516,382
84203.20.192.0/18203.20.192.1 to 203.20.255.254203.20.255.25516,382
85203.21.0.0/18203.21.0.1 to 203.21.63.254203.21.63.25516,382
86203.21.64.0/18203.21.64.1 to 203.21.127.254203.21.127.25516,382
87203.21.128.0/18203.21.128.1 to 203.21.191.254203.21.191.25516,382
88203.21.192.0/18203.21.192.1 to 203.21.255.254203.21.255.25516,382
89203.22.0.0/18203.22.0.1 to 203.22.63.254203.22.63.25516,382
90203.22.64.0/18203.22.64.1 to 203.22.127.254203.22.127.25516,382
91203.22.128.0/18203.22.128.1 to 203.22.191.254203.22.191.25516,382
92203.22.192.0/18203.22.192.1 to 203.22.255.254203.22.255.25516,382
93203.23.0.0/18203.23.0.1 to 203.23.63.254203.23.63.25516,382
94203.23.64.0/18203.23.64.1 to 203.23.127.254203.23.127.25516,382
95203.23.128.0/18203.23.128.1 to 203.23.191.254203.23.191.25516,382
96203.23.192.0/18203.23.192.1 to 203.23.255.254203.23.255.25516,382
97203.24.0.0/18203.24.0.1 to 203.24.63.254203.24.63.25516,382
98203.24.64.0/18203.24.64.1 to 203.24.127.254203.24.127.25516,382
99203.24.128.0/18203.24.128.1 to 203.24.191.254203.24.191.25516,382
100203.24.192.0/18203.24.192.1 to 203.24.255.254203.24.255.25516,382
101203.25.0.0/18203.25.0.1 to 203.25.63.254203.25.63.25516,382
102203.25.64.0/18203.25.64.1 to 203.25.127.254203.25.127.25516,382
103203.25.128.0/18203.25.128.1 to 203.25.191.254203.25.191.25516,382
104203.25.192.0/18203.25.192.1 to 203.25.255.254203.25.255.25516,382
105203.26.0.0/18203.26.0.1 to 203.26.63.254203.26.63.25516,382
106203.26.64.0/18203.26.64.1 to 203.26.127.254203.26.127.25516,382
107203.26.128.0/18203.26.128.1 to 203.26.191.254203.26.191.25516,382
108203.26.192.0/18203.26.192.1 to 203.26.255.254203.26.255.25516,382
109203.27.0.0/18203.27.0.1 to 203.27.63.254203.27.63.25516,382
110203.27.64.0/18203.27.64.1 to 203.27.127.254203.27.127.25516,382
111203.27.128.0/18203.27.128.1 to 203.27.191.254203.27.191.25516,382
112203.27.192.0/18203.27.192.1 to 203.27.255.254203.27.255.25516,382
113203.28.0.0/18203.28.0.1 to 203.28.63.254203.28.63.25516,382
114203.28.64.0/18203.28.64.1 to 203.28.127.254203.28.127.25516,382
115203.28.128.0/18203.28.128.1 to 203.28.191.254203.28.191.25516,382
116203.28.192.0/18203.28.192.1 to 203.28.255.254203.28.255.25516,382
117203.29.0.0/18203.29.0.1 to 203.29.63.254203.29.63.25516,382
118203.29.64.0/18203.29.64.1 to 203.29.127.254203.29.127.25516,382
119203.29.128.0/18203.29.128.1 to 203.29.191.254203.29.191.25516,382
120203.29.192.0/18203.29.192.1 to 203.29.255.254203.29.255.25516,382
121203.30.0.0/18203.30.0.1 to 203.30.63.254203.30.63.25516,382
122203.30.64.0/18203.30.64.1 to 203.30.127.254203.30.127.25516,382
123203.30.128.0/18203.30.128.1 to 203.30.191.254203.30.191.25516,382
124203.30.192.0/18203.30.192.1 to 203.30.255.254203.30.255.25516,382
125203.31.0.0/18203.31.0.1 to 203.31.63.254203.31.63.25516,382
126203.31.64.0/18203.31.64.1 to 203.31.127.254203.31.127.25516,382
127203.31.128.0/18203.31.128.1 to 203.31.191.254203.31.191.25516,382
128203.31.192.0/18203.31.192.1 to 203.31.255.254203.31.255.25516,382
129203.32.0.0/18203.32.0.1 to 203.32.63.254203.32.63.25516,382
130203.32.64.0/18203.32.64.1 to 203.32.127.254203.32.127.25516,382
131203.32.128.0/18203.32.128.1 to 203.32.191.254203.32.191.25516,382
132203.32.192.0/18203.32.192.1 to 203.32.255.254203.32.255.25516,382
133203.33.0.0/18203.33.0.1 to 203.33.63.254203.33.63.25516,382
134203.33.64.0/18203.33.64.1 to 203.33.127.254203.33.127.25516,382
135203.33.128.0/18203.33.128.1 to 203.33.191.254203.33.191.25516,382
136203.33.192.0/18203.33.192.1 to 203.33.255.254203.33.255.25516,382
137203.34.0.0/18203.34.0.1 to 203.34.63.254203.34.63.25516,382
138203.34.64.0/18203.34.64.1 to 203.34.127.254203.34.127.25516,382
139203.34.128.0/18203.34.128.1 to 203.34.191.254203.34.191.25516,382
140203.34.192.0/18203.34.192.1 to 203.34.255.254203.34.255.25516,382
141203.35.0.0/18203.35.0.1 to 203.35.63.254203.35.63.25516,382
142203.35.64.0/18203.35.64.1 to 203.35.127.254203.35.127.25516,382
143203.35.128.0/18203.35.128.1 to 203.35.191.254203.35.191.25516,382
144203.35.192.0/18203.35.192.1 to 203.35.255.254203.35.255.25516,382
145203.36.0.0/18203.36.0.1 to 203.36.63.254203.36.63.25516,382
146203.36.64.0/18203.36.64.1 to 203.36.127.254203.36.127.25516,382
147203.36.128.0/18203.36.128.1 to 203.36.191.254203.36.191.25516,382
148203.36.192.0/18203.36.192.1 to 203.36.255.254203.36.255.25516,382
149203.37.0.0/18203.37.0.1 to 203.37.63.254203.37.63.25516,382
150203.37.64.0/18203.37.64.1 to 203.37.127.254203.37.127.25516,382
151203.37.128.0/18203.37.128.1 to 203.37.191.254203.37.191.25516,382
152203.37.192.0/18203.37.192.1 to 203.37.255.254203.37.255.25516,382
153203.38.0.0/18203.38.0.1 to 203.38.63.254203.38.63.25516,382
154203.38.64.0/18203.38.64.1 to 203.38.127.254203.38.127.25516,382
155203.38.128.0/18203.38.128.1 to 203.38.191.254203.38.191.25516,382
156203.38.192.0/18203.38.192.1 to 203.38.255.254203.38.255.25516,382
157203.39.0.0/18203.39.0.1 to 203.39.63.254203.39.63.25516,382
158203.39.64.0/18203.39.64.1 to 203.39.127.254203.39.127.25516,382
159203.39.128.0/18203.39.128.1 to 203.39.191.254203.39.191.25516,382
160203.39.192.0/18203.39.192.1 to 203.39.255.254203.39.255.25516,382
161203.40.0.0/18203.40.0.1 to 203.40.63.254203.40.63.25516,382
162203.40.64.0/18203.40.64.1 to 203.40.127.254203.40.127.25516,382
163203.40.128.0/18203.40.128.1 to 203.40.191.254203.40.191.25516,382
164203.40.192.0/18203.40.192.1 to 203.40.255.254203.40.255.25516,382
165203.41.0.0/18203.41.0.1 to 203.41.63.254203.41.63.25516,382
166203.41.64.0/18203.41.64.1 to 203.41.127.254203.41.127.25516,382
167203.41.128.0/18203.41.128.1 to 203.41.191.254203.41.191.25516,382
168203.41.192.0/18203.41.192.1 to 203.41.255.254203.41.255.25516,382
169203.42.0.0/18203.42.0.1 to 203.42.63.254203.42.63.25516,382
170203.42.64.0/18203.42.64.1 to 203.42.127.254203.42.127.25516,382
171203.42.128.0/18203.42.128.1 to 203.42.191.254203.42.191.25516,382
172203.42.192.0/18203.42.192.1 to 203.42.255.254203.42.255.25516,382
173203.43.0.0/18203.43.0.1 to 203.43.63.254203.43.63.25516,382
174203.43.64.0/18203.43.64.1 to 203.43.127.254203.43.127.25516,382
175203.43.128.0/18203.43.128.1 to 203.43.191.254203.43.191.25516,382
176203.43.192.0/18203.43.192.1 to 203.43.255.254203.43.255.25516,382
177203.44.0.0/18203.44.0.1 to 203.44.63.254203.44.63.25516,382
178203.44.64.0/18203.44.64.1 to 203.44.127.254203.44.127.25516,382
179203.44.128.0/18203.44.128.1 to 203.44.191.254203.44.191.25516,382
180203.44.192.0/18203.44.192.1 to 203.44.255.254203.44.255.25516,382
181203.45.0.0/18203.45.0.1 to 203.45.63.254203.45.63.25516,382
182203.45.64.0/18203.45.64.1 to 203.45.127.254203.45.127.25516,382
183203.45.128.0/18203.45.128.1 to 203.45.191.254203.45.191.25516,382
184203.45.192.0/18203.45.192.1 to 203.45.255.254203.45.255.25516,382
185203.46.0.0/18203.46.0.1 to 203.46.63.254203.46.63.25516,382
186203.46.64.0/18203.46.64.1 to 203.46.127.254203.46.127.25516,382
187203.46.128.0/18203.46.128.1 to 203.46.191.254203.46.191.25516,382
188203.46.192.0/18203.46.192.1 to 203.46.255.254203.46.255.25516,382
189203.47.0.0/18203.47.0.1 to 203.47.63.254203.47.63.25516,382
190203.47.64.0/18203.47.64.1 to 203.47.127.254203.47.127.25516,382
191203.47.128.0/18203.47.128.1 to 203.47.191.254203.47.191.25516,382
192203.47.192.0/18203.47.192.1 to 203.47.255.254203.47.255.25516,382
193203.48.0.0/18203.48.0.1 to 203.48.63.254203.48.63.25516,382
194203.48.64.0/18203.48.64.1 to 203.48.127.254203.48.127.25516,382
195203.48.128.0/18203.48.128.1 to 203.48.191.254203.48.191.25516,382
196203.48.192.0/18203.48.192.1 to 203.48.255.254203.48.255.25516,382
197203.49.0.0/18203.49.0.1 to 203.49.63.254203.49.63.25516,382
198203.49.64.0/18203.49.64.1 to 203.49.127.254203.49.127.25516,382
199203.49.128.0/18203.49.128.1 to 203.49.191.254203.49.191.25516,382
200203.49.192.0/18203.49.192.1 to 203.49.255.254203.49.255.25516,382
201203.50.0.0/18203.50.0.1 to 203.50.63.254203.50.63.25516,382
202203.50.64.0/18203.50.64.1 to 203.50.127.254203.50.127.25516,382
203203.50.128.0/18203.50.128.1 to 203.50.191.254203.50.191.25516,382
204203.50.192.0/18203.50.192.1 to 203.50.255.254203.50.255.25516,382
205203.51.0.0/18203.51.0.1 to 203.51.63.254203.51.63.25516,382
206203.51.64.0/18203.51.64.1 to 203.51.127.254203.51.127.25516,382
207203.51.128.0/18203.51.128.1 to 203.51.191.254203.51.191.25516,382
208203.51.192.0/18203.51.192.1 to 203.51.255.254203.51.255.25516,382
209203.52.0.0/18203.52.0.1 to 203.52.63.254203.52.63.25516,382
210203.52.64.0/18203.52.64.1 to 203.52.127.254203.52.127.25516,382
211203.52.128.0/18203.52.128.1 to 203.52.191.254203.52.191.25516,382
212203.52.192.0/18203.52.192.1 to 203.52.255.254203.52.255.25516,382
213203.53.0.0/18203.53.0.1 to 203.53.63.254203.53.63.25516,382
214203.53.64.0/18203.53.64.1 to 203.53.127.254203.53.127.25516,382
215203.53.128.0/18203.53.128.1 to 203.53.191.254203.53.191.25516,382
216203.53.192.0/18203.53.192.1 to 203.53.255.254203.53.255.25516,382
217203.54.0.0/18203.54.0.1 to 203.54.63.254203.54.63.25516,382
218203.54.64.0/18203.54.64.1 to 203.54.127.254203.54.127.25516,382
219203.54.128.0/18203.54.128.1 to 203.54.191.254203.54.191.25516,382
220203.54.192.0/18203.54.192.1 to 203.54.255.254203.54.255.25516,382
221203.55.0.0/18203.55.0.1 to 203.55.63.254203.55.63.25516,382
222203.55.64.0/18203.55.64.1 to 203.55.127.254203.55.127.25516,382
223203.55.128.0/18203.55.128.1 to 203.55.191.254203.55.191.25516,382
224203.55.192.0/18203.55.192.1 to 203.55.255.254203.55.255.25516,382
225203.56.0.0/18203.56.0.1 to 203.56.63.254203.56.63.25516,382
226203.56.64.0/18203.56.64.1 to 203.56.127.254203.56.127.25516,382
227203.56.128.0/18203.56.128.1 to 203.56.191.254203.56.191.25516,382
228203.56.192.0/18203.56.192.1 to 203.56.255.254203.56.255.25516,382
229203.57.0.0/18203.57.0.1 to 203.57.63.254203.57.63.25516,382
230203.57.64.0/18203.57.64.1 to 203.57.127.254203.57.127.25516,382
231203.57.128.0/18203.57.128.1 to 203.57.191.254203.57.191.25516,382
232203.57.192.0/18203.57.192.1 to 203.57.255.254203.57.255.25516,382
233203.58.0.0/18203.58.0.1 to 203.58.63.254203.58.63.25516,382
234203.58.64.0/18203.58.64.1 to 203.58.127.254203.58.127.25516,382
235203.58.128.0/18203.58.128.1 to 203.58.191.254203.58.191.25516,382
236203.58.192.0/18203.58.192.1 to 203.58.255.254203.58.255.25516,382
237203.59.0.0/18203.59.0.1 to 203.59.63.254203.59.63.25516,382
238203.59.64.0/18203.59.64.1 to 203.59.127.254203.59.127.25516,382
239203.59.128.0/18203.59.128.1 to 203.59.191.254203.59.191.25516,382
240203.59.192.0/18203.59.192.1 to 203.59.255.254203.59.255.25516,382
241203.60.0.0/18203.60.0.1 to 203.60.63.254203.60.63.25516,382
242203.60.64.0/18203.60.64.1 to 203.60.127.254203.60.127.25516,382
243203.60.128.0/18203.60.128.1 to 203.60.191.254203.60.191.25516,382
244203.60.192.0/18203.60.192.1 to 203.60.255.254203.60.255.25516,382
245203.61.0.0/18203.61.0.1 to 203.61.63.254203.61.63.25516,382
246203.61.64.0/18203.61.64.1 to 203.61.127.254203.61.127.25516,382
247203.61.128.0/18203.61.128.1 to 203.61.191.254203.61.191.25516,382
248203.61.192.0/18203.61.192.1 to 203.61.255.254203.61.255.25516,382
249203.62.0.0/18203.62.0.1 to 203.62.63.254203.62.63.25516,382
250203.62.64.0/18203.62.64.1 to 203.62.127.254203.62.127.25516,382
251203.62.128.0/18203.62.128.1 to 203.62.191.254203.62.191.25516,382
252203.62.192.0/18203.62.192.1 to 203.62.255.254203.62.255.25516,382
253203.63.0.0/18203.63.0.1 to 203.63.63.254203.63.63.25516,382
254203.63.64.0/18203.63.64.1 to 203.63.127.254203.63.127.25516,382
255203.63.128.0/18203.63.128.1 to 203.63.191.254203.63.191.25516,382
256203.63.192.0/18203.63.192.1 to 203.63.255.254203.63.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses